Register for a back-in-stock notification
curl --request POST \
--url https://api.marzipan.co/v1/products/{product}/back-in-stock \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "ada@example.com",
"market": "uk"
}
'import requests
url = "https://api.marzipan.co/v1/products/{product}/back-in-stock"
payload = {
"email": "ada@example.com",
"market": "uk"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: 'ada@example.com', market: 'uk'})
};
fetch('https://api.marzipan.co/v1/products/{product}/back-in-stock', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "You will be notified when this product is back in stock."
}{
"message": "The email field is required.",
"errors": {
"email": [
"The email field is required."
]
}
}Products
Register for a back-in-stock notification
Registers an email address to be notified when the given product is back in stock. Subscriptions are only accepted for products that are out of stock (unless the product allows overselling); requesting one for an in-stock product returns a 422. If a customer is authenticated the subscription is linked to their account.
POST
/
products
/
{product}
/
back-in-stock
Register for a back-in-stock notification
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your API token.
Path Parameters
The id of the product to subscribe to.
Body
application/json
Response
The email was registered for a back-in-stock notification.
⌘I

